> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spectropic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Test

> Test endpoint

Test endpoint. Returns a 200 status code if the server is running and your API key is valid.


## OpenAPI

````yaml GET /test
openapi: 3.0.0
info:
  title: Spectropic API
  version: 1.0.0
servers:
  - url: https://api.spectropic.ai/v1
security:
  - Bearer: []
paths:
  /test:
    get:
      tags:
        - Test
      summary: Test endpoint
      description: Test endpoint
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
                  - message
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        field:
                          type: string
                      required:
                        - message
                        - field
                required:
                  - requestId
                  - message
                  - errors
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '402':
          description: Payment required
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        field:
                          type: string
                      required:
                        - message
                        - field
                required:
                  - requestId
                  - message
                  - errors
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    format: uuid
                  message:
                    type: string
                required:
                  - requestId
                  - message
components:
  securitySchemes:
    Bearer:
      type: http
      description: 'API key authentication. Add your API key with format: Bearer <API_KEY>'
      scheme: bearer

````